# Deprecated API

## Contents

- Terminally Deprecated
- Methods
- Constructors

Terminally Deprecated Elements
Element
Description
org.springframework.expression.spel.ast.Indexer(int, int, SpelNodeImpl)
as of 6.2, in favor of `Indexer(boolean, int, int, SpelNodeImpl)`
org.springframework.expression.spel.ast.OperatorMatches(int, int, SpelNodeImpl...)
as of Spring Framework 5.2.23; for removal in Spring Framework 7.1; invoke `OperatorMatches(ConcurrentLruCache, int, int, SpelNodeImpl...)` instead
org.springframework.expression.spel.ast.OperatorMatches(ConcurrentMap<String, Pattern>, int, int, SpelNodeImpl...)
as of Spring Framework 6.2.19; for removal in Spring Framework 7.1; invoke `OperatorMatches(ConcurrentLruCache, int, int, SpelNodeImpl...)` instead
org.springframework.expression.spel.ExpressionState.enterScope(String, Object)
as of 6.2 with no replacement; to be removed in 7.0
org.springframework.expression.spel.ExpressionState.enterScope(Map<String, Object>)
as of 6.2 with no replacement; to be removed in 7.0
org.springframework.expression.spel.ExpressionState.lookupLocalVariable(String)
as of 6.2 with no replacement; to be removed in 7.0
org.springframework.expression.spel.ExpressionState.setLocalVariable(String, Object)
as of 6.2 with no replacement; to be removed in 7.0

Deprecated Methods
Method
Description
org.springframework.expression.spel.ast.InlineList.getConstantValue()
as of Spring Framework 6.2.19; this method was only intended for testing purposes and will be removed in a future version of the framework
org.springframework.expression.spel.ast.InlineMap.getConstantValue()
as of Spring Framework 6.2.19; this method was only intended for testing purposes and will be removed in a future version of the framework
org.springframework.expression.spel.ast.SpelNodeImpl.generateCodeForArgument(MethodVisitor, CodeFlow, SpelNodeImpl, String)
as of 6.2, in favor of `CodeFlow.generateCodeForArgument(MethodVisitor, SpelNode, String)`
org.springframework.expression.spel.ast.SpelNodeImpl.generateCodeForArguments(MethodVisitor, CodeFlow, Member, SpelNodeImpl[])
as of 6.2, in favor of `SpelNodeImpl.generateCodeForArguments(MethodVisitor, CodeFlow, Executable, SpelNodeImpl[])`
org.springframework.expression.spel.ExpressionState.enterScope(String, Object)
as of 6.2 with no replacement; to be removed in 7.0
org.springframework.expression.spel.ExpressionState.enterScope(Map<String, Object>)
as of 6.2 with no replacement; to be removed in 7.0
org.springframework.expression.spel.ExpressionState.lookupLocalVariable(String)
as of 6.2 with no replacement; to be removed in 7.0
org.springframework.expression.spel.ExpressionState.setLocalVariable(String, Object)
as of 6.2 with no replacement; to be removed in 7.0

Deprecated Constructors
Constructor
Description
org.springframework.expression.spel.ast.Indexer(int, int, SpelNodeImpl)
as of 6.2, in favor of `Indexer(boolean, int, int, SpelNodeImpl)`
org.springframework.expression.spel.ast.OperatorMatches(int, int, SpelNodeImpl...)
as of Spring Framework 5.2.23; for removal in Spring Framework 7.1; invoke `OperatorMatches(ConcurrentLruCache, int, int, SpelNodeImpl...)` instead
org.springframework.expression.spel.ast.OperatorMatches(ConcurrentMap<String, Pattern>, int, int, SpelNodeImpl...)
as of Spring Framework 6.2.19; for removal in Spring Framework 7.1; invoke `OperatorMatches(ConcurrentLruCache, int, int, SpelNodeImpl...)` instead